co.aikar.commands

## Class BukkitCommandCompletionContext

- java.lang.Object
- - co.aikar.commands.CommandCompletionContext<BukkitCommandIssuer>
  - - co.aikar.commands.BukkitCommandCompletionContext

    public class BukkitCommandCompletionContext
    extends co.aikar.commands.CommandCompletionContext<BukkitCommandIssuer>

### Field Summary

### Fields inherited from class co.aikar.commands.CommandCompletionContext

`issuer`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.bukkit.entity.Player` `getPlayer()` Returns the Player object if this Issuer is a Player
`org.bukkit.command.CommandSender` `getSender()`

### Methods inherited from class co.aikar.commands.CommandCompletionContext

`getConfig, getConfig, getConfig, getConfigs, getContextValue, getContextValue, getInput, getIssuer, hasConfig, isAsync`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getSender

    public org.bukkit.command.CommandSender getSender()

#### getPlayer

    public org.bukkit.entity.Player getPlayer()

Returns the Player object if this Issuer is a Player

Returns: